// UTS 2000 - fichier 'garage.h' - V3.4 - Le 25/04/2012
#include "Train_UTS.h"

class cGarage
{
    public:
    int  ass_canton[NB_GARAGE];    // -1 ou Numéro de canton relié au garage.
    int  ass_out[NB_GARAGE];       // N° de variable de type 'out_xxx' => Sortie pour commander le relais d'isolation du garage.
    int  ass_out_pol[NB_GARAGE];   // 0 ou 1 => Polarité de la commande du relais pour pour isoler le garage.
    int  numero_train[NB_GARAGE];  // -1 ou numéro du train si le garage est isolé.
 //        cGarage(void);
    void init(char filename[]);
    void save_conf();
    void maj(void);
    void debug(int action);
    private:
    int get_iti_line(FILE* pf, char ch_tab[][CHAR_CONFIG_NB], int* ch_nb);
};
